@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@400;500;600;700&family=Poppins:wght@400;500;600;700;800;900&display=swap');
body{
    overflow-x: hidden;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    font-size: 16px;
    background: #212529;
    color: #d3cece;
}
*{
    padding: 0;
    margin: 0;
}

a{
    display: inline-block;
    text-decoration: none;
}
a:hover{
    text-decoration: none;
    color: var(--blue);
}
h1,h2,h3,h4,h5,h6{
    margin-bottom: 0;
}
p{
    margin-bottom: 0;
    line-height: 22px;
    letter-spacing: 0.4px;
}
ul li{
    line-height: 22px;
    letter-spacing: 0.4px;
}
img{
    width: 100%;
}
.objectContain{
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.objectCover{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
ul{
    margin-bottom: 0;
}
li{
    list-style: none;
}
:root{
    --para:#666666;
    --title:#343a40;
    --yellow:#faca40;
    --blue:#416cac;
    --orange:#ff5722;
    --fontfamily:'Oswald', sans-serif;
}
@media screen and (min-width:1100px){
    .autocontainer{
        margin: 0 64px;
    }
}
@media screen and (max-width:1100px){
    .autocontainer{
        margin: 0 32px;
    }
}
@media screen and (max-width:992px){
    .autocontainer{
        margin: 0 24px;
    }
}
@media screen and (max-width:600px){
    .autocontainer{
        margin: 0 16px;
    }
}

.flex{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}
::-webkit-scrollbar{
    width: 4px;
}
::-webkit-scrollbar-thumb{
    background-color: var(--yellow);
}
::-webkit-scrollbar-truck{
    background-color: #f5f5f5;
}
::selection{
    background-color: var(--blue);
    color: white;
}
.title{
    font-family: var(--fontfamily);
    font-weight: 400;
    font-size: 2.1875em;
    letter-spacing: .32em;
    text-transform: uppercase;
    color: #fff;
}
.btn{
    height: 50px;
    border-radius: 32px;
    line-height: 50px;
    background: var(--yellow);
    border: 1px solid var(--yellow);
    color: black;
    padding: 0 24px;
}
.btn:focus{
    box-shadow: none;
}
.navbar{
    padding: 0px 32px;
    box-shadow: 0 0 8px 0 rgb(0 0 0 / 30%);
}
.navbar-brand {
    width: 100px;
}
.navbar-expand-lg .navbar-nav .nav-link {
    padding: .5rem 1.7rem !important;
    color: white;
}
.pogoSlider{
    user-select: none;
    height: 86vh;
}
.pogoSlider-slide{
    background-position: center !important;
    background-repeat: no-repeat !important;
    background-size: cover !important;
}
.pogoSlider-progressBar{
    display: none;
}
.pogoSlider-dir-btn{
    display: none;
}
.bannerButtons{
    position: absolute;
    left: 70%;
    bottom: 5%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
}
.bannerButtons li a {
    width: 80px;
    padding: 8px 12px;
    background: rgba(0,0,0,0.6);
    color: white;
    margin: 8px;
    cursor: pointer;
    border-radius: 4px;
    text-align: center;
}
.bannerContent {
    position: absolute;
    top: 20%;
    left: 5%;
    width: 400px;
    height: 60%;
    padding: 24px 32px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    color: white;
    font-weight: 600;
    background: rgba(0,0,0,0.4);
    border-top-right-radius: 32px;
}
.bannerContent::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 70%;
    height: 100%;
    border-bottom:6px solid var(--yellow) ;
    border-left:6px solid var(--yellow) ;
}
.bannerContent::after{
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 70%;
    height: 100%;
    border-top:6px solid var(--blue) ;
    border-right:6px solid var(--blue);
    border-top-right-radius: 32px;
}
.bannerContent p{
    font-size: 20px;
}
.bannerContent h2{
    font-size: 2.1875em;
    letter-spacing: .32em;
    text-transform: uppercase;
}
.bannerContent h2 span{
    display: block;
}
.bannerContent a{
    color: white;
    font-weight: 600;
}
.mypadding{
    padding: 60px 0;
}
main{
    position: relative;
}
main::before{
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 33%;
    height: 100%;
    border-left: 1px solid #ccc;
    border-right: 1px solid #ccc;
    z-index: -1;
    opacity: .1;
}
.specializedSection ul li{
    text-align: center;
}
.specializedSection ul li img{
    width: 100px;
    margin-bottom: 16px;
}
.specializedSection ul li p{
    font-size: 20px;
}
.projectsSection{
    padding-bottom: 0;
}
.projectFilterNav .filtersLink{
    display: block;
    padding: 8px 24px;
    color: white;
    border-radius: 12px;
}
.projectFilterNav .filtersLink.active{
    color: #03a9f4;
    font-weight: 600;
    background: white;
}
.projectFilterNav li:not(:last-child){
    margin-right: 12px;
}
.projectBox{
    position: relative;
    cursor: pointer;
}
.projectImg{
    width: 100%;
    height: 500px;
    overflow: hidden;
}
.projectImg img{
    transition: 1s all ease;
}
.projectBox h4{
    width: 100%;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    padding:20px;
    font-family: var(--fontfamily);
    font-weight: 400;
    font-size: 24px;
    text-align: center;
    text-transform: uppercase;
    background: rgba(0,0,0,0.5);
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    color: white;
    transition: .5s all ease;
}
.projectBox:hover .projectImg img{
    transform: scale(1.3);
}
.projectBox:hover h4{
    color: var(--yellow);
}
.serviceSection ul{
    padding: 24px;
    position: relative;
}
.serviceSection ul li{
    margin-bottom: 8px;
}
.serviceSection ul::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100px;
    height: 100px;
    border: 4px solid #2d3134;
    transform: rotate(45deg);
    z-index: -1;
}
.serviceSection ul::after{
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 100px;
    height: 100px;
    border: 4px solid #2d3134;
    transform: rotate(45deg);
    z-index: -1;
}
.font_bg{
    font-family: 'Oswald';
}
.font_bg h3{
    font-size: 150px;
    color: var(--yellow);
    line-height: 150px;
}
.font_bg p{
    font-size: 36px;
    line-height: 46px;
    color: #fff;
    letter-spacing: .32em;
}

.countSection ul{
    align-items: flex-start;
}
.countSection ul li{
    width: 24%;
    font-family: var(--fontfamily);
}
.countSection ul li h3{
    font-size: 80px;
    color: var(--yellow);
    font-family: 'Oswald';
}
.countSection ul li p{
    font-size: 18px;
}

.clientSection ul li{
    width: 230px;
    height: 100px;
    margin: 8px;
}

.form-control {
    display: block;
    width: 100%;
    height: 60px;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #fff !important;
    background-color: #212529;
    border: 1px solid #ccc;
    border-radius: 12px;
}
textarea.form-control{
    height: auto;
}
::placeholder{
    color: white !important;
}
.form-control:focus{
    color: #fff !important;
    background: #212529;
    border-color: var(--yellow);
    box-shadow: none;
}
input[type=number]::-webkit-inner-spin-button{
    display: none;
}
.address.flex{
    align-items: flex-start;
}
.address li{
    width: 48%;
    margin-bottom: 16px;
}
.address li h5{
    margin-bottom: 8px;
    color: var(--yellow);
}
.contactsection{
    padding-top:60px;
}
.contactsection > .flex{
    align-items: flex-start;
}
.contactsection h2{
    font-size: 24px;
    padding-bottom: 8px;
    margin: 8px 0 24px 0;
    border-bottom: 1px solid var(--yellow);
    font-family: var(--fontfamily);
    letter-spacing: .32em;
    text-transform: uppercase;
    color: white;
}
.c_left, .c_right{
    width: 50%;
    padding:60px 64px 32px 64px;
}
.c_left{
    background: #2d3134;
}
footer{
    padding:12px 0;
}
footer a{
    color: white;
}
.socialMedia li a{
  margin: 0 12px;
}
.iconList li{
    position: relative;
    padding-left: 30px;
    margin-bottom: 12px;
}
.iconList li i{
    position: absolute;
    top: 5px;
    left: 0px;
}
.copyrights{
    font-size: 14px;
}
/* -----policy page------ */
.pageTitle{
   width: 100%;
   height: 300px;
   display: flex;
   justify-content: center;
   align-items: center;
   padding: 24px;
   position: relative;
   text-shadow: 2px 0px 4px #212529;
}
.pageTitle::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(45deg, #212529a1, #212529a1),url(../images/banner/1.jpg);
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
    z-index: -1;
}
.policypage ul{
    padding-left: 16px;
}
.policypage ul li{
    list-style-type: disc;
    margin-bottom: 12px;
}
.bb1{
    border-bottom: 1px solid #ccc;
}
.text-yellow{
    color: var(--yellow);
}
.policypage h3 span{
    font-size: 18px;
    margin-left: 100px;
    margin-top: 8px;
}
/* -----policy page------ */
/* --------------about page------------- */
.aboutusPage p, .policypage p, .policypage li, .popupBody p{
    text-align: justify;
}
.Dsecond p{
    text-align: center;
}
.teamImg{
    height: 270px;
}
.directorBox{
    width: 31%;
    height: 190px;
    border-radius: 8px;
    padding: 12px;
    background: #343a40;
    overflow: hidden;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    text-align: center;
    border-bottom: 2px solid var(--yellow);
}
.Dfirst, .Dsecond, .DThird{
    width: 100%;
}
.directorimg{
    width: 100px;
    height: 100px;
    margin: auto;
    transition: 1s all ease;
}
.directorimg img{
    border-radius: 50%;
}
.readbtn{
    height: 36px;
    border-radius: 32px;
    line-height: 36px;
    background: #fff;
    text-align: center;
    box-shadow: 0 0 8px 0 rgba(0,0,0,0.4);
    color: #d39e00;
    padding: 0px 20px;
}
.directorBox:hover .directorimg{
    transform: translateY(-130px) scale(0);
    opacity: 0;
    height: 0;
}
.popup{
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: #007bff2b;
    display: none;
}
.popupBody {
    width: 600px;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background: #212529;
    padding: 24px;
    border: 1px solid #f8f9fa;
}
.popup.active{
    display: block;
}
.modalClose{
    width: 36px;
    height: 36px;
    text-align: center;
    position: absolute;
    top: -16px;
    right: -16px;
    font-size: 24px;
    color: red;
    cursor: pointer;
    background-color: white;
    border-radius: 50%;
    transition: .5s all ease;
}
.modalClose i{
    line-height: 36px;
}
.modalClose:hover{
    background: red;
    color: white;
}
.quotes{
    display: flex;
    justify-content: center;
    margin-bottom: 24px;
}
.quotes em{
    font-size: 20px;
}
.quotes em span{
    color: var(--yellow);
    font-size: 30px;
    text-transform: uppercase;
}
.whyus{
    align-items: unset;
}
.whyLeft{
    width: 30%;
    background: #343a40;
    padding: 32px;
}
.whyright{
    width: 70%;
    padding: 32px;
}
.hidepara{
    display: none;
}
.readmorebtn{
    color: var(--yellow);
    cursor: pointer;
}
.whyusImg{
    width: 70%;
    height: 230px;
    margin: auto;
}
.whyusImg img{
    border-radius: 12px;
}
#clientsHolder li img{
    background: white;
    padding: 8px 12px;
    border-radius:6px
}
/* --------------about page------------- */
/* ---------------projects------------- */
.projectsContainer{
    justify-content: flex-start;
    padding: 0px 32px;
}
.projectBox2{
    width: 24%;
    position: relative;
    overflow: hidden;
    margin:4px;
}
.projectBox2 .projectImg{
    height: 300px;
    overflow: hidden;
}
.projectBox2 .projectImg img{
    transition: .7s all ease;
}
.projectBox2:hover .projectImg img{
    transform: scale(1.3);
    filter: brightness(30%);
}
.projectDetails{
    border: 2px solid white;
    background: #faca401c;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, 230px);
    transition: .5s all ease-out;
    color: white;
    padding: 12px;
    width: 90%;
    height: 90%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.projectDetails h4{
    font-size: 18px;
    color: var(--yellow);
    text-transform: capitalize;
}
.projectTitle{
    font-size: 15px;
    letter-spacing: 1.2px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    color: black;
    padding: 8px 12px;
    background: var(--yellow);
    transition: .2s all ease-in;
    z-index: 999;
    text-transform: capitalize;
}
.projectDetails:hover{
    color: white;
}
.projectBox2:hover .projectTitle{
    opacity: 0;
}
.projectBox2:hover .projectDetails{
    transform: translate(-50%, -50%);
}
.projectDetails p{
    font-size: 14px;
    margin: 12px 0;
}
.projectDetails span{
    color: var(--yellow);
}
.mydropdown{
    position: relative;
    cursor: pointer;
}
.dropdownMenu{
    position: absolute;
    top: 100%;
    left: 0;
    background: #212529;
    min-width: 248px;
    margin-top: 30px;
    z-index: 1000;
    display: none;
    box-shadow: 0 8px 8px 0 rgba(0,0,0,0.4);
}
.dropdownLink{
    padding: 20px 12px;
    color: #fff;
    display: block;
}
.dropdownLink, .dropdownLink i{
    transition: .3s all ease;
}
.dropdownLink:hover , .dropdownLink:hover i{
    color: var(--yellow);
}
.dropdownLink:hover i{
    margin-right: 8px;
}
.dropdownMenu li:not(:last-child){
    border-bottom: 1px dashed #575e66;
}
.navbar-nav .nav-link.active, .navbar-nav .nav-link:hover{
    color: var(--yellow);
}
.bigImgHolder{
    width: 100%;
    height: 340px;
}
.smallImgHolder li{
    width: 32%;
    height: 120px;
}
.PD_Left .title{
    font-size: 28px;
}
.PD_left_ul li:not(:last-child){
    border-bottom: 1px solid #f8f9fa26;
}
.PD_left_ul li{
    display: flex;
    padding: 20px 8px;
}
.PD_left_ul li span{
    padding: 0 16px;
}
.listLeft{
    width: 34%;
}
.listLeft i{
    margin-right: 6px;
    color: var(--yellow);
}
.listright{
    flex:1;
}
.PD_Left p{
    margin: 12px 0;
    text-align: justify;
}
.smallImgHolder{
    padding: 0 25px;
}
.smallImgHolder .slick-prev,
.slick-next
{
    width: 20px;
    height: 50px;
    background:transparent;
    box-shadow: none;
    color: white;
}
.slick-prev
{
    left: -5px;
}
.slick-next
{
    right: -5px;
}
.smallImgHolder .slick-prev:before
{
    content: '\2039';
}
.smallImgHolder .slick-next:before
{
    content: '\203A';
}
.smallImgHolder .slick-prev:before,
.smallImgHolder .slick-next:before
{
    color:white;
    font-size: 50px;
}
.smallImgHolder .slick-list{
  margin: 0 -6px;
}
.smallImgHolder .slick-slide{
  margin: 0 6px;
}
#clientsHolder{
    justify-content:center;
}

/* ---------------projects------------- */
@media screen and (max-width:1200px){
    .navbar-expand-lg .navbar-nav .nav-link {
        padding: 0.5rem 1.2rem !important;
    }
    .bannerContent {
        top: 16%;
        width: 340px;
        height: 70%;
        padding: 24px;
    }
    .bannerContent h2 , .title{
        font-size: 2em;
    }
    .mypadding{
        padding: 50px 0;
    }
    .projectImg {
        height: 450px;
    }
    .c_left, .c_right {
        padding: 40px 32px 32px 32px;
    }
    .projectBox2 {
        width: 32%;
    }
}
@media screen and (max-width:992px){
    .navbar-toggler{
        color: white;
    }
    .navbar-expand-lg .navbar-nav .nav-link {
        text-align: center;
    }
    .countSection ul li {
        width: 50%;
        margin-bottom: 24px;
    }
    .clientSection ul li {
        width: 40%;
    }
    .c_left, .c_right {
       width: 100%;
    }
    .c_left{
        order: 2;
    }
    .c_right{
        order: 1;
    }
    footer .autocontainer > .flex{
        justify-content: center;
    }
    .countSection .row, .countSection .flex{
        justify-content: center;
    }
    .pageTitle {
        height: 200px;
    }
    .whyLeft, .whyright{
       width: 100%;
    }
    .dropdownMenu {
        position: static;
        top: auto;
        left: auto;
        min-width: auto;
        margin-top: 0;
        box-shadow: none;
    }
    .dropdownLink {
        color: white;
        text-align: center;
        padding: 12px 8px;
    }
    .dropdownLink i{
        display: none;
    }
    .dropdownMenu li:not(:last-child) {
        border-bottom: 0;
    }
    .projectBox2 {
        width: 48%;
    }

   
}
@media screen and (max-width:600px){
    .bannerContent h2, .title {
        font-size: 1.7em;
    }
    .navbar {
        padding: 0px 16px;
    }
    p, li{
        font-size: 14px;
    }
    .bannerButtons {
        left: 50%;
        transform: translateX(-50%);
        bottom: 1%;
    }
    .bannerContent {
        top: 10%;
        width: 80%;
        height: 66%;
        padding: 16px;
    }
    .specializedSection ul li {
        width: 100%;
        margin-bottom: 24px;
        display: flex;
        align-items: center;
    }
    .specializedSection .title, .specializedSection ul li {
        text-align: left;
    }

    .specializedSection ul li img {
        width: 64px;
        margin-right: 24px;
    }
    .projectsSection .title{
        margin-bottom: 24px;
    }
    .mypadding {
        padding: 30px 0;
    }
    .title{
        font-size: 1.6rem;
        display: block;
    }
    .countSection ul li {
        width: 100%;
    }
    .serviceSection ul li {
       text-align: left;
       list-style-type: disc;
    }
    .serviceSection ul {
        padding: 24px 0px 24px 16px;
    }

    .address li {
        width: 100%;
    }
    .copyrights{
        text-align: center;
    }
    .title.mb-5{
        margin-bottom: 16px !important;
    }
    .serviceSection ul::before, .serviceSection ul::after{
        display: none;
    }
    .projectFilterNav li{
        width: 100%;
        text-align: center;
    }
    .projectFilterNav li:not(:last-child) {
        margin-right: 0;
    }
    .c_left, .c_right {
        padding: 16px 16px 32px 16px;
    }
    .contactsection {
        padding-top: 16px;
    }
    .specializedSection .title{
        margin-bottom: 24px !important;
    }
    .bannerContent::after, .bannerContent::before{
        border-width: 4px;
    }
    .directorBox {
        width: 100%;
        height: 190px;
        margin-bottom: 20px;
    }
    .popupBody{
        width: 80%;
        padding: 8px 0 16px 12px;
    }
    .popupBody p{
        padding-right: 8px;
        max-height: 50vh;
        overflow-y: auto;
        overflow-x: hidden;
    }
    .pageTitle {
        padding: 16px;
        height: 150px;
    }
    .policypage h3{
        font-size: 24px;
    }
    .policypage h3 span{
        font-size: 18px;
        margin-left: 0px;
    }
    .quotes em {
        font-size: 16px;
    }
    .quotes em span {
        font-size: 18px;
    }
    .whyus{
        text-align: center;
    }
    .whyright {
        padding: 24px 16px;
    }
    .whyusImg {
        width: 90%;
        height: 180px;
        margin:12px auto 0 auto;
    }
    .PD_left_ul li {
        padding: 20px 0px;
    }
    .PD_left_ul li span {
        padding: 0 6px;
    }
    .listLeft {
        width: auto;
    }
    .bigImgHolder {
        height: 250px;
    }
    .smallImgHolder li {
        height: 80px;
    }
    .projectBox2 {
        width: 100%;
        margin: 0 0 16px 0;
    }
    .projectBox2 .projectImg {
        height: 270px;
    }
    .clientSection ul li {
        width: 46%;
        margin: 4px;
    }
}

.field-error::placeholder{
    color:red !important;
}